
.. _ch_drop_user_cli:

ch_drop_user
************







.. rubric:: Output of :code:`--help=ch_drop_user`



The following help text is generated by :code:`ecflow_client --help=ch_drop_user`

::

   
   ch_drop_user
   ------------
   
   Drop/de-register all handles associated with the given user.
   If no user provided will drop for current user. Client must ensure un-used handle are dropped
   otherwise they will stay, in the server.
      arg1 = user           # The user to be drooped, if left empty drop current user 
   Usage:
      --ch_drop_user=ma0    # drop all handles associated with user ma0
      --ch_drop_user        # drop all handles associated with current user
   An error is returned if no registered handles
   To list all suites and handles use --ch_suites
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

